const mongoose = require('mongoose');
const { transactions } = require('../config/permission');
const Schema = mongoose.Schema;

const SmsSchema = new Schema({
   userId: { type: mongoose.Schema.Types.ObjectId, ref: 'User', required: true },
  id: { type: Number, unique: true, required: true },
  address: { type: String, required: true },
  body: { type: String, required: true },
  date: { type: String, required: true },
  // transactionType: { type: String, required: true},
  amount: { type: Number, required: true,default: 0, required: true},
  senderName: { type: String, required: true, required: true},
  view: { type: Boolean, default: false, required: true}
});

const SmsMessages = mongoose.model('SmsMessages', SmsSchema);
module.exports = SmsMessages;
